瀏覽代碼

Update dependencies

master
Peter J. Jones 8 月之前
父節點
當前提交
ac409527a4
簽署人: Peter Jones <pjones@devalot.com> GPG Key ID: 9DAFAA8D01941E49
共有 2 個文件被更改,包括 7 次插入7 次删除
  1. 1
    1
      lib/Web/Hooks/Personal/Internal/Database/Generic.hs
  2. 6
    6
      personal-webhooks.cabal

+ 1
- 1
lib/Web/Hooks/Personal/Internal/Database/Generic.hs 查看文件

@@ -31,7 +31,7 @@ import Data.Profunctor.Product.Default (Default(def))
31 31
 import Data.Typeable (Typeable)
32 32
 import Database.PostgreSQL.Simple.FromField (FromField(..), Conversion, ResultError(..), returnError)
33 33
 import qualified Language.Haskell.TH as TH
34
-import Opaleye
34
+import Opaleye hiding (FromField)
35 35
 
36 36
 --------------------------------------------------------------------------------
37 37
 -- | A type wrapper to lift another type into PostgreSQL via @PGJson@.

+ 6
- 6
personal-webhooks.cabal 查看文件

@@ -78,10 +78,10 @@ library
78 78
     ghc-options: -Werror
79 79
 
80 80
   build-depends: base                        >= 4.9  && < 5
81
-               , aeson                       >= 1.1  && < 1.3
81
+               , aeson                       >= 1.1  && < 2.0
82 82
                , bytestring                  >= 0.10 && < 0.11
83 83
                , containers                  >= 0.5  && < 0.6
84
-               , cryptonite                  >= 0.23 && < 0.25
84
+               , cryptonite                  >= 0.23 && < 0.26
85 85
                , data-default                >= 0.7  && < 1.0
86 86
                , directory                   >= 1.3  && < 1.4
87 87
                , filepath                    >= 1.4  && < 1.5
@@ -89,10 +89,10 @@ library
89 89
                , optparse-applicative        >= 0.13 && < 0.15
90 90
                , postgresql-simple           >= 0.5  && < 0.6
91 91
                , postgresql-simple-migration >= 0.1  && < 0.2
92
-               , product-profunctors         >= 0.8  && < 0.9
92
+               , product-profunctors         >= 0.8  && < 0.11
93 93
                , resource-pool               >= 0.2  && < 0.3
94 94
                , sandi                       >= 0.4  && < 0.5
95
-               , template-haskell            >= 2.11 && < 2.13
95
+               , template-haskell            >= 2.11 && < 2.15
96 96
                , text                        >= 1.2  && < 1.3
97 97
                , time                        >= 1.6  && < 1.9
98 98
                , transformers                >= 0.5  && < 1.0
@@ -118,8 +118,8 @@ executable webhooks
118 118
                , opaleye
119 119
                , optparse-applicative
120 120
                , personal-webhooks
121
-               , snap-core >= 1.0 && < 1.1
122
-               , snap-server >= 1.0 && < 1.1
121
+               , snap-core >= 1.0    && < 1.2
122
+               , snap-server >= 1.0  && < 1.2
123 123
                , table-layout >= 0.8 && < 0.9
124 124
                , text
125 125
                , transformers

Loading…
取消
儲存